org.apache.lucene.analysis.ckb

## Class SoraniStemmer

- java.lang.Object
- - org.apache.lucene.analysis.ckb.SoraniStemmer

    public class SoraniStemmer
    extends Object

Light stemmer for Sorani

### Constructor Summary

Constructors
Constructor and Description
`SoraniStemmer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `stem(char[] s, int len)` Stem an input buffer of Sorani text.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SoraniStemmer

    public SoraniStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
                    int len)

Stem an input buffer of Sorani text.

Parameters:
  `s` - input buffer
  `len` - length of input buffer
Returns:
  length of input buffer after normalization